Panda3D

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
XFileAnimationSet Class Reference

This represents a tree of EggTables, corresponding to Animation entries in the X file. More...

`#include "xFileAnimationSet.h"`

Inheritance diagram for XFileAnimationSet:

## Classes
class | FrameData
class | FrameEntry

## Public Types
enum | FrameDataFlags { FDF_scale = 0x01 , FDF_rot = 0x02 , FDF_trans = 0x04 , FDF_mat = 0x08 }
typedef epvector< FrameEntry > | FrameEntries

## Public Member Functions
FrameData & | create_frame_data (const std::string &joint_name)
| Returns a reference to a new FrameData table corresponding to the indicated joint. More...
bool | create_hierarchy (XFileToEggConverter *converter)
| Sets up the hierarchy of EggTables corresponding to this AnimationSet. More...
EggXfmSAnim * | get_table (const std::string &joint_name) const
| Returns the table associated with the indicated joint name. More...
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty. More...
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty. More...
void | output (std::ostream &out) const
| Outputs the Namable. More...
void | set_name (const std::string &name)
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
double | _frame_rate
Public Attributes inherited from Namable
| get_name
| set_name

## Additional Inherited Members
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

This represents a tree of EggTables, corresponding to Animation entries in the X file.

There is one EggTable for each joint in the character's joint set, and the whole tree is structured as a mirror of the joint set.

Definition at line 33 of file xFileAnimationSet.h.

## Member Function Documentation

## ◆ create_frame_data()

XFileAnimationSet::FrameData & XFileAnimationSet::create_frame_data | ( | const std::string & | joint_name | ) |

Returns a reference to a new FrameData table corresponding to the indicated joint.

Definition at line 114 of file xFileAnimationSet.cxx.

## ◆ create_hierarchy()

bool XFileAnimationSet::create_hierarchy | ( | XFileToEggConverter * | converter | ) |

Sets up the hierarchy of EggTables corresponding to this AnimationSet.

Definition at line 41 of file xFileAnimationSet.cxx.

References EggGroupNode::add_child(), EggXfmSAnim::add_data(), XFileToEggConverter::get_dart_node(), SomethingToEggConverter::get_egg_data(), get_table(), EggTransform::get_transform3d(), and EggXfmSAnim::optimize().

## ◆ get_table()

EggXfmSAnim * XFileAnimationSet::get_table | ( | const std::string & | joint_name | ) | const

Returns the table associated with the indicated joint name.

Definition at line 100 of file xFileAnimationSet.cxx.

Referenced by create_hierarchy().

The documentation for this class was generated from the following files:

- pandatool/src/xfileegg/xFileAnimationSet.h
- pandatool/src/xfileegg/xFileAnimationSet.cxx